<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="FontRow" parent="GtkFlowBoxChild">
    <property name="width_request">300</property>
    <property name="height_request">80</property>
    <property name="valign">start</property>
    <child>
      <object class="GtkBox">
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkBox">
            <child>
              <object class="GtkLabel" id="family_label">
                <property name="halign">start</property>
                <property name="valign">center</property>
                <style>
                  <class name="family-label"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkLabel" id="styles_label">
                <property name="valign">center</property>
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <style>
                  <class name="dim-label"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkStack" id="status_stack">
                <property name="transition_type">crossfade</property>
                <property name="halign">end</property>
                <property name="hexpand">True</property>
                <child>
                  <object class="GtkStackPage">
                    <property name="name">not_installed</property>
                    <property name="child">
                      <object class="GtkButton" id="install_button">
                        <property name="halign">end</property>
                        <property name="valign">center</property>
                        <property name="has_frame">False</property>
                        <child>
                          <object class="GtkImage">
                            <property name="icon_name">document-save-symbolic</property>
                          </object>
                        </child>
                        <style>
                          <class name="flat"/>
                          <class name="install-button"/>
                        </style>
                      </object>
                    </property>
                  </object>
                </child>
                <child>
                  <object class="GtkStackPage">
                    <property name="name">installed</property>
                    <property name="child">
                      <object class="GtkImage">
                        <property name="icon_name">test-pass-symbolic</property>
                        <style>
                          <class name="installed-button"/>
                        </style>
                      </object>
                    </property>
                  </object>
                </child>
                <child>
                  <object class="GtkStackPage">
                    <property name="name">loading</property>
                    <property name="child">
                      <object class="GtkSpinner" id="loading_spinner">
                        <property name="halign">center</property>
                        <property name="valign">center</property>
                      </object>
                    </property>
                  </object>
                </child>
              </object>
            </child>
            <style>
              <class name="library-item-info"/>
            </style>
          </object>
        </child>
        <child>
          <object class="GtkBox" id="variants_container">
            <property name="orientation">vertical</property>
            <child>
              <placeholder/>
            </child>
            <style>
              <class name="variants"/>
            </style>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkGestureClick" id="click_gesture"/>
    </child>
    <style>
      <class name="card"/>
      <class name="activatable"/>
    </style>
  </template>
</interface>
